%global debug_package %{nil}
#%%define __arch_install_post export NO_BRP_STRIP_DEBUG=true
Name:           gomuks
Version:        0.2.4
%define subrel  1
Release:        %mkrel 1
Summary:        A terminal Matrix client written in Go
License:        AGPLv3
Group:          Networking/Instant messaging
URL:            https://maunium.net/go/gomuks
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang >= 1.14
BuildRequires:  go-md2man
BuildRequires:  golang-github-kr-pty-devel
BuildRequires:  go-rpm-macros
BuildRequires:  cmake
BuildRequires:  cmake(Olm)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)


%description
A terminal Matrix client written in Go using mautrix and mauview.


%prep
%setup -q
%setup -q -T -D -a 1

%build
export VERSION=%{version}
export CGO_ENABLED=1
go build \
   -mod=vendor \
   -buildmode=pie \
   -ldflags "-s -w -X main.version=$VERSION" \
   -o %{name} ;

%install
# Install the binary.
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"
# Build the man page.
go-md2man -in README.md -out %{name}.1

# Install the man page.
install -D -m 0644 %{name}.1 "%{buildroot}/%{_mandir}/man1/%{name}.1"
rm %{name}.1


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.xz

%changelog
* Mon Sep 5 2022 squidf <squid-f> 0.2.4-1.1
- Add group

* Wed Mar 16 2022 squidf <squid-f> 0.2.4-1
- First Mageia package

* Wed Sep 22 2021 dead-mozay@opensuse.org
- Update to version 0.2.4:
  * Use xdg-user-dir to find download directory
  * Try temporarily storing large sync responses to disk to reduce memory usage
  * Store homeserver URL from .well-known responses
  * Adjust things in timestamp toggle
  * Run sound command in goroutine so notification shows up at the same time
  * Check if notify-send is available before using notifications
  * Re-add paplay as an option and make audio files configurable
  * Add generic notify_unix.go
  * Add toggle for timestamps
  * Revert fuzzy search input bar color to white
  * Don't show links with data-mautrix-exclude-plaintext attribute
  * Remove unused logPath method
  * Escape slashes in room IDs in cache file names
  * Added notify_openbsd.go to the notification library so that notifications will be available on OpenBSD systems as well
  * ui: use ColorDefault where appropriate
  * Fix some formatting and enable pretty panics in non-debug mode. Closes #265
  * Update dependencies
  * Fix newline keybind toggle
  * Add NewLineByDefault toggle
  * Mark private chat as direct
  * fix index error in fuzzy search
  * Fix /verify in the help modal
  * Add missing tag to macos/universal build step
  * Only use SSO if no password is entered
  * Add missing stage param to CI file
  * Fix no-cgo build
  * Switch crypto store to SQLite
  * Include m.room.encryption state events in timeline in sync filter
  * Fix text selection panic caused by clipboard
  * Add Media commands in help modal to match the wiki
  * Update exec.Command on all OSes
  * Update deps and stop using github.com/pkg/errors
  * Don't panic on empty code block. Fixes #237
  * open reap children
  * Improve detecting login flows supported by homeserver
  * Remove debug prints
  * Simplify HelpModal
  * Add broken in-room verification and other stuff
  * Make generating cross-signing keys work
  * Add command for cross-signing current device
  * Extremely WIP cross-signing and SSSS support
  * Move .github metadata to common repo
  * Fix crash when using /o command
  * Ignore edits where the sender is different
  * Fix extra newline in plaintext body when sending code block. Fixes #216
  * Fix mangled comment newlines in code blocks  (#214)
  * Enable parameter autocompletion for aliases. Fixes #209
  * Add device autocompletion for /blacklist
  * Enable file path autocompletion for /download and /open
  * Finish basic file upload support. Fixes #62
  * Add fileUpload command (WIP)
  * Fix editing same message many times. Fixes #195
  * Add /edit command. Fixes #200
  * Add password modal and file path autocompletion
  * Use []byte directly for ImportKeys and ExportKeys
  * Add initial support for key file exporting and importing
  * Fall back to HTML and plaintext autocompletion if markdown is disabled. Fixes #190
  * Fix minor code style details
  * fix changes requested
  * enable to show html as plain text if enabled and the url and text is not the same or nor contains data-mautrix-no-link
  * first changes to show urls
  * Update mautrix-go and make it build without crypto
  * Clear verification modal input bar placeholder after accepting
  * Add toggle to only send to verified devices
  * Make verification modal wait for confirmation
  * Add very crude interactive verification support
  * Add device list and legacy verification commands
  * Support edits without m.new_content
  * Fix rendering displayname change events
  * Check if PrevContent is nil before using. Fixes #181
  * Fix shift+tab on first item in fuzzy search dialog. Fixes #182
  * Show decryption errors more accurately. Fixes #174
  * Call EncryptMegolmEvent with pointer to content
  * Add alias management command and alt_aliases rendering
  * Simplify version flag
  * Add --version flag
  * Update deps and add gouuid to go.mod
  * Fix /reject command output
  * Update mautrix-go to fix new OTK generation for e2ee
  * Improve errors in crypto stuff
  * Fix typo when getting config dir based on GOMUKS_ROOT
* Mon May 11 2020 dead-mozay@opensuse.org
- Update to version 0.1.0:
  * Change debian control directory permissions before building
  * Set different user agent
  * Move loaded history pointer to message view
  * Send read receipts asynchronously. Hopefully fixes #141
  * Add command to get e2ee fingerprint
  * Parse event content when getting single event from server
  * Use structs for parsing read receipts and direct chat lists
  * Prevent blocking when trying to stop matrix container
  * Fix potential double locking when finding shared rooms
  * Update mautrix-go and other deps
  * Make e2ee optional
  * Don't encrypt outgoing reactions
  * Add support for encrypted files
  * Run apt update before installing
  * Use debian testing for CI
  * Add initial support for encrypting messages
  * Add support for decrypting messages
  * Implement copying to clipboard
  * Fix media download endpoint version
  * Fix loading member events
  * Make TxnID url-safe to help pantalaimon. Closes #152
  * Fix messages sometimes overflowing until rerendering
  * Only show syncing modal for initial syncs
  * Add progress bar for first sync
  * Strip event content Raw fields before storing
  * Process different rooms in sync responses in goroutines
  * Update mautrix-go content stuff
  * Update Encrypted boolean when receiving m.room.encryption event
  * Add better help for /toggle
  * Make sure own messages don't cause notifications
  * Add toggle for desktop notifications
  * Update stuff and move pushrules to mautrix-go
  * hjkl keybinds for selection
  * Remove everything from readme. Fixes #46
  * Use $HOME/Downloads as default download directory
  * Display thumbnail for all files and add commands to download and open files
  * command toggle downloads
  * refactor to allow every file message to be downloaded
  * add text for video message
  * Move room away from invites list when invite is accepted from other client
  * Add toggles for disabling markdown and HTML
  * Move room switcher to ctrl+k and newline to alt+enter. Fixes #132
  * Update mautrix-go to ignore 404 errors in .well-known resolution
  * Fix bug in number of spaces in rainbows
  * Support formatting in rainbows
  * Note mouse behaviour in README
  * Fix selecting other users' messages
  * Properly ignore presence in sync filter
  * Don't send typing stop event if not necessary
  * More small changes to room list
  * Add another nil check in room list
  * Implement sending redactions
  * Fix room list ordering
  * add notify_sound config option
  * Add support for replying and reacting to messages
  * Update readme and /help
  * Fix unexpected results when clicking some message senders
  * Add separate messages for invite reject/accept
  * Disable selecting service messages
  * Fix duplicate locking case
  * Make invites mostly work
  * Improve tags and add initial invite handling
  * Fix invite parentheses in member list
  * Enable lazy loading of members
  * Add initial message selecting stuff
  * Redraw UI when starting to load more messages
  * Fix compilation error
  * Add background color for reactions
  * Add support for displaying reactions
  * Hide tombstoned rooms from room list
  * Always set cursor to end when switching edit message
  * Fix some issues when logging out
  * Hardcode name colors so individual colors can be removed
  * Add custom name for m.server_notice tag
  * Show multiline errors in login view
  * Only initialize history manager if not initialized
  * Add support for editing /me
  * Remove duplicate code for finding message to edit
  * Ignore mouse motion events inside MessageView
  * Update mautrix-go to separate unmarshaling sync response and event content
  * Add support for editing messages
  * Fix mouse motion not being passed to input areas
* Tue Oct  1 2019 dead_mozay@opensuse.org
- Update to version 0.0.1.git~20190726.7012564:
  * Add badge and link for GitLab CI to readme
  * Update tcell
  * Add .gitlab-ci.yml
  * Update tcell
  * Possibly fix displaying displaynames of left users
  * Fix or break some history related things
  * Cache canonical alias in room list so tab completing wouldn't load state from disk
  * Add initial support for rendering replies
  * Wrap events in custom struct to add gomuks-specific fields
  * Only ping if displayname has spaces/punctuation characters around it. Fixes #96
* Tue Oct  1 2019 Dead Mozay <dead_mozay@opensuse.org>
- Initial package
